Subject: Re: bug#32789: Bash finds old version of guix after guix pull

From: Alex Branham <[email-masked]>
Date: Fri, 21 Sep 2018 12:47:27 -0500

On Fri 21 Sep 2018 at 11:06, Ricardo Wurmus <[email-masked]> wrote:

> Bash optimizes lookups on the PATH; having found an executable on PATH
> once, it can remember that location for a minor speed boost.  The only
> problem with this is that the cache can go stale.
>
> From what I understand remembering locations is usually done manually by
> running “hash”.  I don’t know what would trigger this behaviour in your
> case.

Right, all that makes sense. I'm wondering why/how bash ever found
guix-0.14 since I started out with guix-0.15.

Alex